<?php

namespace SuperRhino\Utils\Common;

class Arr {

    /**
     * @param callable $callback
     * @param $array
     * @return array
     */
    public static function array_map_with_keys(callable $callback, $array) {
        $result = [];
        foreach ($array as $key => $value) {
            $assoc = $callback($value, $key);
            foreach ($assoc as $mapKey => $mapValue) {
                $result[$mapKey] = $mapValue;
            }
        }
        return $result;
    }
}