<?php

namespace SuperRhino\Utils\Redis;

use SuperRhino\Utils\Facade;

/**
 * @method static \Redis getRedis(string $poolName = 'default')
 *
 */
class Redis extends Facade {

    const POOL_NAME_DEFAULT = 'default';

    const POOL_NAME_CACHE = 'cache';

    const POOL_NAME_STORAGE = 'storage';

    protected static function getFacadeAccessor() {
        return RedisFactoryInterface::class;
    }
}